# Remove by suppression id
curl -X DELETE 'https://api.resend.com/suppressions/e169aa45-1ecf-4183-9955-b1499d5701d3' \
-H 'Authorization: Bearer re_xxxxxxxxx'
# Remove by email
curl -X DELETE 'https://api.resend.com/suppressions/steve.wozniak@gmail.com' \
-H 'Authorization: Bearer re_xxxxxxxxx'
{
"object": "suppression",
"id": "e169aa45-1ecf-4183-9955-b1499d5701d3",
"deleted": true
}
Remove Suppression
Remove a single suppression by ID or email.
DELETE
/
suppressions
/
:suppression
# Remove by suppression id
curl -X DELETE 'https://api.resend.com/suppressions/e169aa45-1ecf-4183-9955-b1499d5701d3' \
-H 'Authorization: Bearer re_xxxxxxxxx'
# Remove by email
curl -X DELETE 'https://api.resend.com/suppressions/steve.wozniak@gmail.com' \
-H 'Authorization: Bearer re_xxxxxxxxx'
{
"object": "suppression",
"id": "e169aa45-1ecf-4183-9955-b1499d5701d3",
"deleted": true
}
The Suppressions API is currently in private beta and only available to a
limited number of users. APIs might change before GA.Get in touch if you’re interested in testing
this feature.
Path Parameters
The Suppression ID or email address.
# Remove by suppression id
curl -X DELETE 'https://api.resend.com/suppressions/e169aa45-1ecf-4183-9955-b1499d5701d3' \
-H 'Authorization: Bearer re_xxxxxxxxx'
# Remove by email
curl -X DELETE 'https://api.resend.com/suppressions/steve.wozniak@gmail.com' \
-H 'Authorization: Bearer re_xxxxxxxxx'
{
"object": "suppression",
"id": "e169aa45-1ecf-4183-9955-b1499d5701d3",
"deleted": true
}
Was this page helpful?
⌘I